Package org.codehaus.groovy.runtime

# Class PackedClosure.Fixed0

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Closure<Object>
org.codehaus.groovy.runtime.PackedClosure
org.codehaus.groovy.runtime.PackedClosure.Fixed0

All Implemented Interfaces:
  `GroovyCallable<Object>`, `GroovyObject`, `Serializable`, `Cloneable`, `Runnable`, `Callable<Object>`, `GeneratedClosure`

Enclosing class:
  PackedClosure

public static final class PackedClosure.Fixed0 extends PackedClosure implements GeneratedClosure
Fixed-arity members of the adapter family: the compiler instantiates the member matching the literal's declared parameter count (`PackedClosure.FixedN` serves higher arities), so a packed closure's arity is visible to class-level introspection exactly as on a generated closure class — notably `MetaClassHelper`'s SAM-overload disambiguation, which reflects the argument class's declared `doCall` and cannot consult the instance. Each member declares ONLY the arity-matched `doCall`(s) (delegating to `PackedClosure.dispatchAll(java.lang.Object[])`) and carries the `GeneratedClosure` marker that introspection keys on, so MOP method selection sees exactly the signatures a generated closure class would declare — in particular, no varargs `doCall(Object[])` that would exact-match a single `Object[]` argument and spread it. The hot entry points remain the base `call` lanes, which do not allocate for these shapes.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.PackedClosure

  `PackedClosure.Fixed0, PackedClosure.Fixed1, PackedClosure.Fixed2, PackedClosure.Fixed3, PackedClosure.Fixed4, PackedClosure.FixedIt, PackedClosure.FixedN`

- ## Field Summary

  ### Fields inherited from class groovy.lang.Closure

  `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Fixed0(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `doCall()`

  ### Methods inherited from class org.codehaus.groovy.runtime.PackedClosure

  `call, call, create, dispatchAll, setDelegate, setResolveStrategy, toString`

  ### Methods inherited from class groovy.lang.Closure

  `additionalReferences, andThen, andThenSelf, andThenSelf, asWritable, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDirective, setMetaClass, setProperty, throwRuntimeException, trampoline, trampoline`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

- ## Constructor Details

  - ### Fixed0

    public Fixed0(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)

- ## Method Details

  - ### doCall

    public Object doCall()